<?php


namespace App\ViewModels\Formulario\FormularioUpdateViewModel;


use App\Utils\Builder;

class FormularioUpdateViewModelBuilder implements Builder
{
    protected $titulo;
    protected $descricao;
    protected $id_medico;
    protected $perguntas;


    public function setTitulo(string $titulo): FormularioUpdateViewModelBuilder
    {
        $this->titulo = $titulo;
        return $this;
    }

    public function setDescricao(string $descricao): FormularioUpdateViewModelBuilder
    {
        $this->descricao = $descricao;
        return $this;
    }

    public function setIdMedico($id_medico): FormularioUpdateViewModelBuilder
    {
        $this->id_medico = $id_medico;
        return $this;
    }

    public function setPerguntas(PerguntaUpdateCollection $perguntas): FormularioUpdateViewModelBuilder
    {
        $this->perguntas = $perguntas;
        return $this;
    }

    public function build(): FormularioUpdateViewModel
    {
        $formulario_registration_vm = new FormularioUpdateViewModel();
        $formulario_registration_vm->settitulo($this->titulo);
        $formulario_registration_vm->setdescricao($this->descricao);
        $formulario_registration_vm->setidmedico($this->id_medico);
        $formulario_registration_vm->setperguntas($this->perguntas);
        return $formulario_registration_vm;
    }


}